$:.unshift(File.expand_path('../lib/', __FILE__))
require 'lvm/version'

deps = {
  'open4' => [ '~> 0.9', '>= 0.9.6' ],
  'otakumike-ruby-lvm-attrib' => ['~> 0.0.3']
}

Gem::Specification.new do |gem|  
  gem.authors       = ["Greg Symons", "Matthew Kent", "Mike Richardson"]  
  gem.email         = ["mkent@magoazul.com", 'gsymons@gsconsulting.biz', 'mail@mikerichardson.com.au']  
  gem.description   = %q{A wrapper for the LVM2 administration utility, lvm. Forked for LVM 2.02.166 ONLY}
  gem.license       = "MIT"
  gem.summary       = %q{A wrapper for the LVM2 administration utility, lvm. Forked for LVM 2.02.166 ONLY}
  gem.homepage      = "https://github.com/otakumike/otakumike-ruby-lvm"
  gem.files         = `git ls-files`.split($\)
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.name          = "otakumike-ruby-lvm"
  gem.require_paths = ["lib"]
  gem.version       = LVM::VERSION

  deps.each do |dep, constraints|
    gem.add_runtime_dependency dep, *constraints
  end
end

